Summary:	The Eye of GNOME image viewer
Name:     	eog
Version: 2.24.0
Release: %mkrel 1
License:	GPLv2+
Group:		Graphical desktop/GNOME
Source0: 	ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
URL:		http://www.gnome.org/projects/eog/

BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	libglade2.0-devel
BuildRequires:	libgnomeui2-devel >= 2.5.5
BuildRequires:	librsvg-devel >= 2.0.0
BuildRequires:	lcms-devel
BuildRequires:	scrollkeeper >= 0.3
BuildRequires:  libexif-devel
BuildRequires:  eel-devel
BuildRequires:  exempi-devel
BuildRequires:  pygtk2.0-devel
BuildRequires:  gnome-python-devel
BuildRequires:  gnome-doc-utils
BuildRequires:  gtk-doc
BuildRequires:  intltool >= 0.40.0
Requires(post): scrollkeeper >= 0.3 desktop-file-utils
Requires(postun): scrollkeeper >= 0.3 desktop-file-utils
Requires: librsvg
Requires: gnome-icon-theme
Requires: pygtk2.0 gnome-python-gnomevfs

%description
This is the Eye of Gnome, an image viewer program. It is meant
to be a fast and functional image viewer as well as an image
cataloging program. It does proper handling of large images and
images with full opacity information, and can zoom and scroll
images quickly while keeping  memory usage constant.

%package devel
Group: Development/C
Summary: C headers needed to build EOG plugins

%description devel
This is the Eye of Gnome, an image viewer program. It is meant
to be a fast and functional image viewer as well as an image
cataloging program. It does proper handling of large images and
images with full opacity information, and can zoom and scroll
images quickly while keeping  memory usage constant.

Install this if you want to build EOG plugins.


%prep
%setup -q

%build

%configure2_5x

%make


%install
rm -rf $RPM_BUILD_ROOT %name.lang

# needed otherwise gconf database installation will fail
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std

%{find_lang} %{name} --with-gnome

for omf in %buildroot%_datadir/omf/eog/eog-??*.omf;do 
echo "%lang($(basename $omf|sed -e s/eog-// -e s/.omf//)) $(echo $omf|sed -e s!%buildroot!!)" >> %name.lang
done


rm -rf %buildroot%_libdir/eog/plugins/*a \
   %buildroot/var/lib/scrollkeeper

%clean
rm -rf $RPM_BUILD_ROOT


%if %mdkversion < 200900
%post  
%{update_menus}
%update_scrollkeeper
%update_desktop_database
%post_install_gconf_schemas %name
%update_icon_cache hicolor
%endif

%preun
%preun_uninstall_gconf_schemas %name

%if %mdkversion < 200900
%postun
%clean_scrollkeeper
%{clean_menus}
%clean_desktop_database
%clean_icon_cache hicolor
%endif

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS NEWS README
%{_sysconfdir}/gconf/schemas/*
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/eog
%_datadir/icons/hicolor/*/*/*
%dir %{_datadir}/omf/eog
%{_datadir}/omf/eog/*-C.omf
%dir %_libdir/eog
%dir %_libdir/eog/plugins
%_libdir/eog/plugins/fullscreen.eog-plugin
%_libdir/eog/plugins/reload.eog-plugin
%_libdir/eog/plugins/statusbar-date.eog-plugin
%_libdir/eog/plugins/*.so*

%files devel
%defattr(-, root, root)
%doc ChangeLog
%_includedir/eog-2.20
%_libdir/pkgconfig/eog.pc
%_datadir/gtk-doc/html/eog


%changelog
* Tue Sep 23 2008 Götz Waschk <waschk@mandriva.org> 2.24.0-1mdv2009.0
+ Revision: 287324
- new version

* Tue Sep 09 2008 Götz Waschk <waschk@mandriva.org> 2.23.92-1mdv2009.0
+ Revision: 282910
- new version

* Tue Sep 02 2008 Götz Waschk <waschk@mandriva.org> 2.23.91-1mdv2009.0
+ Revision: 278808
- new version

* Tue Aug 19 2008 Götz Waschk <waschk@mandriva.org> 2.23.90-2mdv2009.0
+ Revision: 273790
- bump release
- new version

* Tue Aug 05 2008 Funda Wang <fundawang@mandriva.org> 2.23.6-1mdv2009.0
+ Revision: 263670
- New version 2.23.6

* Tue Jul 22 2008 Götz Waschk <waschk@mandriva.org> 2.23.5-1mdv2009.0
+ Revision: 240056
- new version

* Thu Jul 03 2008 Götz Waschk <waschk@mandriva.org> 2.23.4.1-1mdv2009.0
+ Revision: 230965
- new version
- update buildrequires
- update file list

* Tue Jul 01 2008 Götz Waschk <waschk@mandriva.org> 2.22.3-1mdv2009.0
+ Revision: 230532
- new version
- update license
- update buildrequires
- fix buildrequires

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Tue May 27 2008 Götz Waschk <waschk@mandriva.org> 2.22.2-1mdv2009.0
+ Revision: 211686
- new version

* Wed Apr 09 2008 Götz Waschk <waschk@mandriva.org> 2.22.1-1mdv2009.0
+ Revision: 192473
- new version

* Tue Mar 11 2008 Götz Waschk <waschk@mandriva.org> 2.22.0-2mdv2008.1
+ Revision: 185221
- build with exempi support

* Mon Mar 10 2008 Götz Waschk <waschk@mandriva.org> 2.22.0-1mdv2008.1
+ Revision: 183385
- new version

* Mon Feb 25 2008 Götz Waschk <waschk@mandriva.org> 2.21.92-1mdv2008.1
+ Revision: 175062
- new version

* Tue Feb 12 2008 Götz Waschk <waschk@mandriva.org> 2.21.90-1mdv2008.1
+ Revision: 165706
- new version

* Mon Jan 14 2008 Götz Waschk <waschk@mandriva.org> 2.21.4-1mdv2008.1
+ Revision: 151756
- new version
- drop patches

* Thu Jan 03 2008 Frederic Crozat <fcrozat@mandriva.com> 2.21.3-2mdv2008.1
+ Revision: 142729
- Fix BuildRequires to ensure python support is enabled
- Fix project url
- Patch0 (SVN): fix color profile loading from EXIF
- Patch1: fix screen profile reading (GNOME bug #507068)

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Götz Waschk <waschk@mandriva.org> 2.21.3-1mdv2008.1
+ Revision: 131602
- new version

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

  + Funda Wang <fundawang@mandriva.org>
    - desktop-file-utils is not needed any more
    - drop old menu

* Tue Dec 04 2007 Götz Waschk <waschk@mandriva.org> 2.21.2-1mdv2008.1
+ Revision: 115275
- new version

* Mon Oct 29 2007 Götz Waschk <waschk@mandriva.org> 2.21.1-1mdv2008.1
+ Revision: 103629
- new version

* Tue Oct 16 2007 Götz Waschk <waschk@mandriva.org> 2.20.1-1mdv2008.1
+ Revision: 98864
- new version

* Mon Sep 17 2007 Götz Waschk <waschk@mandriva.org> 2.20.0-1mdv2008.0
+ Revision: 89347
- new version

* Tue Sep 04 2007 Götz Waschk <waschk@mandriva.org> 2.19.92-1mdv2008.0
+ Revision: 79045
- new version
- fix buildrequires

* Tue Aug 28 2007 Götz Waschk <waschk@mandriva.org> 2.19.91-1mdv2008.0
+ Revision: 72380
- new version
- update file list

* Tue Aug 14 2007 Götz Waschk <waschk@mandriva.org> 2.19.5-1mdv2008.0
+ Revision: 63323
- fix buildrequires
- new version

* Tue Jul 10 2007 Götz Waschk <waschk@mandriva.org> 2.19.4-1mdv2008.0
+ Revision: 50874
- new version
- update deps
- update file list
- new version
- add devel package
- update buildrequires

  + Anssi Hannula <anssi@mandriva.org>
    - rebuild with correct optflags

* Mon May 28 2007 Götz Waschk <waschk@mandriva.org> 2.18.2-1mdv2008.0
+ Revision: 32163
- new version

* Wed Apr 18 2007 Götz Waschk <waschk@mandriva.org> 2.18.1-1mdv2008.0
+ Revision: 14375
- new version


* Tue Mar 13 2007 Götz Waschk <waschk@mandriva.org> 2.18.0.1-1mdv2007.1
+ Revision: 142146
- new version

* Sun Mar 11 2007 Götz Waschk <waschk@mandriva.org> 2.18.0-1mdv2007.1
+ Revision: 141419
- new version

* Mon Feb 26 2007 Götz Waschk <waschk@mandriva.org> 2.17.92-1mdv2007.1
+ Revision: 125977
- new version

* Mon Feb 12 2007 Götz Waschk <waschk@mandriva.org> 2.17.91-1mdv2007.1
+ Revision: 120046
- new version

* Mon Jan 22 2007 Götz Waschk <waschk@mandriva.org> 2.17.90-1mdv2007.1
+ Revision: 112082
- new version
- add icons

* Tue Jan 16 2007 Götz Waschk <waschk@mandriva.org> 2.17.3-2mdv2007.1
+ Revision: 109553
- glib rebuild

* Tue Dec 19 2006 Götz Waschk <waschk@mandriva.org> 2.17.3-1mdv2007.1
+ Revision: 99079
- new version

* Tue Dec 05 2006 Götz Waschk <waschk@mandriva.org> 2.17.2-1mdv2007.1
+ Revision: 90782
- new version

* Mon Nov 27 2006 Götz Waschk <waschk@mandriva.org> 2.17.1-1mdv2007.1
+ Revision: 87539
- new version

* Tue Nov 21 2006 Götz Waschk <waschk@mandriva.org> 2.16.2-1mdv2007.1
+ Revision: 85965
- new version

* Sat Oct 21 2006 Götz Waschk <waschk@mandriva.org> 2.16.1.1-1mdv2007.0
+ Revision: 71525
- new version
  update file list
- Import eog

* Sun Oct 01 2006 Götz Waschk <waschk@mandriva.org> 2.16.1-1mdv2007.0
- New version 2.16.1

* Tue Sep 05 2006 Götz Waschk <waschk@mandriva.org> 2.16.0.1-1mdv2007.0
- New release 2.16.0.1

* Tue Sep 05 2006 Götz Waschk <waschk@mandriva.org> 2.16.0-1mdv2007.0
- New release 2.16.0

* Wed Aug 23 2006 Götz Waschk <waschk@mandriva.org> 2.15.92-1mdv2007.0
- New release 2.15.92

* Wed Aug 09 2006 Götz Waschk <waschk@mandriva.org> 2.15.91-1mdv2007.0
- New release 2.15.91

* Wed Jul 26 2006 Götz Waschk <waschk@mandriva.org> 2.15.90-1
- New release 2.15.90

* Thu Jul 13 2006 Gtz Waschk <waschk@mandriva.org> 2.15.4-1mdv2007.0
- xdg menu
- New release 2.15.4

* Mon Jun 12 2006 Götz Waschk <waschk@mandriva.org> 2.15.3-1
- New release 2.15.3

* Thu Jun 08 2006 Gtz Waschk <waschk@mandriva.org> 2.15.2-2mdv2007.0
- fix buildrequires

* Sat Jun 03 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.2-1mdv2007.0
- Release 2.15.2

* Mon May 29 2006 Götz Waschk <waschk@mandriva.org> 2.14.2-1mdk
- New release 2.14.2

* Wed Apr 19 2006 Frederic Crozat <fcrozat@mandriva.com> 2.14.1-1mdk
- Release 2.14.1

* Tue Feb 07 2006 Götz Waschk <waschk@mandriva.org> 2.12.3-1mdk
- New release 2.12.3
- use mkrel

* Tue Nov 29 2005 Gtz Waschk <waschk@mandriva.org> 2.12.2-1mdk
- fix installation
- New release 2.12.2

* Sat Oct 08 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.1-1mdk
- Release 2.12.1

* Wed Jun 29 2005 Gtz Waschk <waschk@mandriva.org> 2.10.2-1mdk
- New release 2.10.2

* Sat Apr 16 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.0-1mdk 
- Release 2.10.0 (based on Gtz Waschk package) :

* Thu Dec 02 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.8.2-1mdk
- fix buildrequires
- New release 2.8.2

* Wed Oct 20 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.1-1mdk
- New release 2.8.1
- Remove patch0 (no longer relevant)

* Tue Sep 07 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.1-2mdk
- Patch0 : fix printing (Mdk bug #10451)

* Fri Apr 23 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.6.1-1mdk
- fix file section
- New release 2.6.1

* Thu Apr 22 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0-2mdk
- Fix BuildRequires

* Wed Apr 07 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0-1mdk
- Release 2.6.0 (with Gtz help)

